Subject: Re: cvs package available for test
From: Richard Höfter <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked]
Date: Thu, 31 Aug 2000 17:55:34 +0200 (MEST)

Charles Wilson wrote:
> Okay, linux/cvs-1.10.7 client ---> andy's cygwin/cvs-??? server works. 
> But we've already established that cygwin/cvs client ---> andy's
> cygwin/cvs-??? server fails.

Ah, kind of misunderstanding: Andy's server works quite fine!
You can connect to it with cygwin CVS or Linux CVS.

But Andy's server is pretty old, therefore my question to get
cygwin CVS server running.

> However, cygwin/cvs client ---> external unixy/cvs server works.
> 
> Also, you state that linux/cvs client ---> "official" cygwin/cvs server
> fails.  Well, it's not surprising that the "official" cygwin/cvs server
> doesn't work; I made no effort to build or test it. If someone would
> like to reconcile Andy's server patches to the current release, I'll
> consider adding it --- AFTER we figure out why andy's server doesn't
> work!

Again a misunderstanding: Andy's server works fine, I just took it as a
working reference programm for my tests with cygwin CVS.

> 
> So, the only conclusions I can draw are:
>   1) "official" cygwin/cvs server broken -- not surprising; let's drop
> this topic for now
>   2) some weird interaction between "official" cygwin/cvs client and
> Andy's cygwin/cvs server when running on the same machine (e.g. access
> thru 'localhost').

No, there is nothing weird. It works!

> 
> Can you try using the "official" cygwin/cvs client on a second machine,
> and connect to Andy's cygwin/cvs server running on the first machine? 
> (I'm not sure why localhost would break wrt external TCP communication,
> but I'm just trying to rule out all possibilities).
> 

Well, this works quite fine, too.

Cheers,
Richard.

-- 
Sent through GMX FreeMail - http://www.gmx.net

--
Want to unsubscribe from this list?
Send a message to [email-masked]